package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_APPEARANCECHECK_RECORD所对应的实体类（生成工具：代码生成器3.0）
 * @author milu   date 2021-12-27
 */
@SuppressWarnings("serial")
public class HttAppearancecheckRecordEntity implements java.io.Serializable {
    /**
     * 管号
     */
    private String pipeNo = "";
    /**
     * 东端管端直度
     */
    private String eastPipeEndStaightess = "";
    /**
     * 东端管端平均外径
     */
    private String eastPipeExternal = "";
    /**
     * 东端大径
     */
    private String eastPipeMax = "";
    /**
     * 东端小径
     */
    private String eastPipeMin = "";
    /**
     * 东端不圆度
     */
    private String eastPipeNoy = "";
    /**
     * 西端管端直度
     */
    private String westPipeEndStaightess = "";
    /**
     * 西端管端平均外径
     */
    private String westPipeExternal = "";
    /**
     * 西端大径
     */
    private String westPipeMax = "";
    /**
     * 西端小径
     */
    private String westPipeMin = "";
    /**
     * 西端不圆度
     */
    private String westPipeNoy = "";
    /**
     * 全长直度
     */
    private String fulllengthstraightness = "";
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 主键
     */
    private String recordNo = "";

    /**
     * 管号
     * @return value
     */
    public String getPipeNo() {
        return pipeNo;
    }

    /**
     * 管号
     * @param pipeNo value
     */
    public void setPipeNo(String pipeNo) {
        this.pipeNo = pipeNo;
    }

    /**
     * 东端管端直度
     * @return value
     */
    public String getEastPipeEndStaightess() {
        return eastPipeEndStaightess;
    }

    /**
     * 东端管端直度
     * @param eastPipeEndStaightess value
     */
    public void setEastPipeEndStaightess(String eastPipeEndStaightess) {
        this.eastPipeEndStaightess = eastPipeEndStaightess;
    }

    /**
     * 东端管端平均外径
     * @return value
     */
    public String getEastPipeExternal() {
        return eastPipeExternal;
    }

    /**
     * 东端管端平均外径
     * @param eastPipeExternal value
     */
    public void setEastPipeExternal(String eastPipeExternal) {
        this.eastPipeExternal = eastPipeExternal;
    }

    /**
     * 东端大径
     * @return value
     */
    public String getEastPipeMax() {
        return eastPipeMax;
    }

    /**
     * 东端大径
     * @param eastPipeMax value
     */
    public void setEastPipeMax(String eastPipeMax) {
        this.eastPipeMax = eastPipeMax;
    }

    /**
     * 东端小径
     * @return value
     */
    public String getEastPipeMin() {
        return eastPipeMin;
    }

    /**
     * 东端小径
     * @param eastPipeMin value
     */
    public void setEastPipeMin(String eastPipeMin) {
        this.eastPipeMin = eastPipeMin;
    }

    /**
     * 东端不圆度
     * @return value
     */
    public String getEastPipeNoy() {
        return eastPipeNoy;
    }

    /**
     * 东端不圆度
     * @param eastPipeNoy value
     */
    public void setEastPipeNoy(String eastPipeNoy) {
        this.eastPipeNoy = eastPipeNoy;
    }

    /**
     * 西端管端直度
     * @return value
     */
    public String getWestPipeEndStaightess() {
        return westPipeEndStaightess;
    }

    /**
     * 西端管端直度
     * @param westPipeEndStaightess value
     */
    public void setWestPipeEndStaightess(String westPipeEndStaightess) {
        this.westPipeEndStaightess = westPipeEndStaightess;
    }

    /**
     * 西端管端平均外径
     * @return value
     */
    public String getWestPipeExternal() {
        return westPipeExternal;
    }

    /**
     * 西端管端平均外径
     * @param westPipeExternal value
     */
    public void setWestPipeExternal(String westPipeExternal) {
        this.westPipeExternal = westPipeExternal;
    }

    /**
     * 西端大径
     * @return value
     */
    public String getWestPipeMax() {
        return westPipeMax;
    }

    /**
     * 西端大径
     * @param westPipeMax value
     */
    public void setWestPipeMax(String westPipeMax) {
        this.westPipeMax = westPipeMax;
    }

    /**
     * 西端小径
     * @return value
     */
    public String getWestPipeMin() {
        return westPipeMin;
    }

    /**
     * 西端小径
     * @param westPipeMin value
     */
    public void setWestPipeMin(String westPipeMin) {
        this.westPipeMin = westPipeMin;
    }

    /**
     * 西端不圆度
     * @return value
     */
    public String getWestPipeNoy() {
        return westPipeNoy;
    }

    /**
     * 西端不圆度
     * @param westPipeNoy value
     */
    public void setWestPipeNoy(String westPipeNoy) {
        this.westPipeNoy = westPipeNoy;
    }

    /**
     * 全长直度
     * @return value
     */
    public String getFulllengthstraightness() {
        return fulllengthstraightness;
    }

    /**
     * 全长直度
     * @param fulllengthstraightness value
     */
    public void setFulllengthstraightness(String fulllengthstraightness) {
        this.fulllengthstraightness = fulllengthstraightness;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 主键
     * @return value
     */
    public String getRecordNo() {
        return recordNo;
    }

    /**
     * 主键
     * @param recordNo value
     */
    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }
}
